<!-- ### Based on https://www.skcript.com/svr/perfect-seo-meta-tags-with-hugo/ -->

<!-- ### Title tags -->
<meta property="og:title" content="{{ .Title }}" />
<meta name="twitter:title" content="{{ .Title }}" />
<meta itemprop="name" content="{{ .Title }}" />
<meta name="application-name" content="{{ .Title }}" />
<meta property="og:site_name" content="{{ .Title }}" />

<!-- ### Desription tags -->
{{ with .Site.Params }}
<meta name="description" content="{{ .Description }}" />
<meta itemprop="description" content="{{ .Description }}" />
<meta property="og:description" content="{{ .Description }}" />
<meta name="twitter:description" content="{{ .Description }}" />
{{ end }}

<meta name="generator" content="Talkie" />

<!-- ### Link tags -->
<base href="{{ .Permalink }}">
<link rel="canonical" href="{{ .Permalink }}" itemprop="url" /> 
<meta name="url" content="{{ .Permalink }}" />
<meta name="twitter:url" content="{{ .Permalink }}" /> 
<meta property="og:url" content="{{ .Permalink }}" />

<!-- ### Languages tags -->
<meta property="og:locale" content="{{ .Language.Lang }}">
<meta name="language" content="{{ .Language.LanguageName }}">
{{ range .AllTranslations }}
  <link rel="alternate" hreflang="{{ .Language.Lang }}" href="{{ .Permalink }}" title="{{ .Language.LanguageName }}">
{{ end }}


<!-- ### Images tags -->
{{ with .Params.image }} 
  <meta itemprop="image" content="{{ . | absURL }}" />
  <meta property="og:image" content="{{ . | absURL }}" /> 
  <meta name="twitter:image" content="{{ . | absURL }}" />
  <meta name="twitter:image:src" content="{{ . | absURL }}" /> 
{{ else }}
  <meta itemprop="image" content="{{ .Site.Params.ogimage | absURL }}" />
  <meta property="og:image" content="{{ .Site.Params.ogimage | absURL }}" />
  <meta name="twitter:image" content="{{ .Site.Params.ogimage | absURL }}" />
  <meta name="twitter:image:src" content="{{ .Site.Params.ogimage | absURL }}" /> 
{{ end }}

<!-- ### Metatags for website pages -->
<meta property="og:type" content="website" /> 
<meta name="author" content="{{ .Site.Params.author }}" />
<script defer type="application/ld+json">
  { 
    "@context": "http://schema.org", 
    "@type": "WebSite", 
    "url": "{{ .Permalink }}", 
    "sameAs": [
      "{{ .Site.Params.facebook }}", 
      "{{ .Site.Params.github }}"
    ], 
    "name": "{{ .Title }}", 
    "logo": "{{ `images/favicon.png` |absURL }}" 
  }
</script>

{{ with .Site.Params }}
<!-- ### Favicon tags -->
<link rel="shortcut icon" href="{{ `images/favicon.png` | absURL }}"  /> 
<link rel="icon" type="image/x-icon" sizes="16x16 32x32" href="{{ `images/favicon.png` |absURL }}"  />
<link rel="apple-touch-icon" sizes="152x152" href="{{ ` images/favicons/favicon-152-precomposed.png` | absURL }}" />
<link rel="apple-touch-icon" sizes="144x144" href="{{ `images/favicons/favicon-144-precomposed.png` | absURL }}" />
<link rel="apple-touch-icon" sizes="120x120" href="{{ `images/favicons/favicon-120-precomposed.png` | absURL }}" />
<link rel="apple-touch-icon" sizes="114x114" href="{{ `images/favicons/favicon-114-precomposed.png` | absURL }}" />
<link rel="apple-touch-icon" sizes="180x180" href="{{ `images/favicons/favicon-180-precomposed.png` | absURL }}" />
<link rel="apple-touch-icon" sizes="72x72" href="{{ `images/favicons/favicon-72-precomposed.png` | absURL }}" />
<link rel="apple-touch-icon" href="{{ `images/favicons/favicon-57.png` | absURL }}" />
<link rel="icon" href="{{ `images/favicons/favicon-32.png` | absURL }}" sizes="32x32" />
<link rel="icon" sizes="192x192" href="{{ `images/favicons/favicon-192.png` | absURL }}" />
{{ end }}

<!-- ### Search Engine Crawler tags -->
<meta name="robots" content="index,follow" /> 
<meta name="googlebot" content="index,follow" />

<!-- ### Other tags -->
<meta name="keywords" content="voice tech social network app android iphone" />
<meta name="imagemode" content="force" />
<meta name="coverage" content="Worldwide" /> 
<meta name="distribution" content="Global" />
<meta name="HandheldFriendly" content="True" /> 
<meta name="msapplication-tap-highlight" content="no" />
<meta name="apple-mobile-web-app-title" content="{{ .Title }}" /> 
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
<meta name="apple-touch-fullscreen" content="yes" /> 